<template>
  <div style="width: 100%; height: 100%;">
    <a-card :bordered="false">
      <a-row type="flex" :gutter="16">
        <a-col :md="5">
          <a-tabs :activeKey="activeKey"  @change="tabChange">
            <a-tab-pane key="1" tab="车间层级" force-render>
              <base-tree @getCurrSelected="changeSelectionNode" :filterAbnormalDeviceKey="'1'"></base-tree>
            </a-tab-pane>
            <a-tab-pane v-if="isDepartType == 0" key="2" tab="部门层级">,
              <depart-tree  @getCurrSelectedDD="changeSelectionNodedd"></depart-tree>
            </a-tab-pane>
          </a-tabs>
        </a-col>
        <a-col :md="19">
          <efficiencyPO-list ref="EfficiencyPOList" :nodeTree='selectEquement'  :nodePeople='selectPeople' :Type="slectTypeTree"/>
        </a-col>
      </a-row>
    </a-card>
  </div>

</template>

<script>
import { putAction, getAction } from '@/api/manage'
import { frozenBatch } from '@/api/api'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import JInput from '@/components/jeecg/JInput'
import BaseTree from '../common/BaseTree'
import EfficiencyPOList from './modules/efficiencyPOReport/EfficiencyPOList'
import JSuperQuery from '@/components/jeecg/JSuperQuery'
import JThirdAppButton from '@/components/jeecgbiz/thirdApp/JThirdAppButton'
import DepartTree from './modules/DepartList/DepartListTree/DepartTree'
import {mapActions} from 'vuex'
export default {
  name: 'EfficiencyPOReport',
  components: {
    JThirdAppButton,
    JInput,
    BaseTree,
    JSuperQuery,
    DepartTree,
    EfficiencyPOList
  },
  data() {
    return {
      activeKey: '1',
      description: '设备信息',
      selectEquementId: '',
      selectEquement: {},
      selectPeople:{},
      slectTypeTree:"",
      url: {
        equipmentStatistics: '/mdc/equipment/equipmentStatistics'
      },
      isDepartType:'',
    }
  },
  created() {
    this.queryTreeData()
  },
  methods: {
    ...mapActions(['QueryDepartTree']),
    queryTreeData() {
      this.QueryDepartTree().then(res => {
        if (res.success) {
          this.isDepartType = res.result[0].value
        } else {
          // this.$message.warn(res.message)
          this.$notification.warning({
            message:'消息',
            description:res.message
          });

        }
      }).finally(() =>{
      })
    },
    tabChange(val) {
      // console.log(val);
      this.activeKey = val
      this.slectTypeTree = val
    },
    // changeSelection(val) {
    //   this.selectEquementId = val
    //   this.$refs.efficiencyList.pQuery(val)
    //   this.$refs.efficiencyList.searchQuery()
    // },
    changeSelectionNode(val) {
      this.selectEquement = val
      this.slectTypeTree = "1"
    },
    changeSelectionNodedd(val) {
      this.selectPeople = val
      this.slectTypeTree = "2"
    }
  }

}
</script>
<style scoped>
@import '~@assets/less/common.less';

.equipMessage {
  width: 100%;
  height: 10%;
}

.equipMessage table {
  width: 60%;
  height: 100%;
  line-height: 50%;
}

.equipMessage table td {
  text-align: center;
}

.equipMessage table td span {
  display: inline-block;
  width: 15px;
  height: 15px;
}

.equipMessage table td .equipShutdown {
  background-color: #808080;
}

.equipMessage table td .equipStandby {
  background-color: #ffbf37;
}

.equipMessage table td .equipRun {
  background-color: #19FE01;
}

.equipMessage table td .equipAlarm {
  background-color: #FD0008;
}
</style>